Subject: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 14:37:40 +0100

Philipp Stephani <[email-masked]> writes:

>> I think it's important that native and Elisp JSON serialisation are as
>> consistent as possible here;
>
> I don't think that's realistic: any change in behavior to either of
> these functions would be a breaking change.

I think we should have JSON/Elisp round trips that are 100%
reproducible.  The current functions certainly aren't.

But we could just leave them as deprecated legacy functions and
introduce new ones that are consistent.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no